diff --git a/doc/src/sgml/release-11.sgml b/doc/src/sgml/release-11.sgml
index 188222f..cdf41af 100644
--- a/doc/src/sgml/release-11.sgml
+++ b/doc/src/sgml/release-11.sgml
@@ -31,8 +31,8 @@
        </listitem>
        <listitem>
         <para>
-         Add support for <literal>PRIMARY KEY</literal>, <literal>FOREIGN
-         KEY</literal>, indexes, and triggers on partitioned tables
+         Add support on partitioned tables for <literal>PRIMARY
+         KEY</literal>, <literal>FOREIGN KEY</literal>, indexes, and triggers
         </para>
        </listitem>
        <listitem>
@@ -65,7 +65,7 @@
        <listitem>
         <para>
          <command>CREATE INDEX</command> can now use parallel processing
-         while building B-tree indexes
+         while building a B-tree index
         </para>
        </listitem>
        <listitem>
@@ -117,9 +117,9 @@
 
     <listitem>
      <para>
-      Many other useful performance improvements, including a significant
-      speedup to <command>ALTER TABLE ... ADD COLUMN</command> with a
-      non-null column default, as it no longer rewrites the table data
+      Many other useful performance improvements, including the ability to avoid
+      a table rewrite when using <command>ALTER TABLE .. ADD COLUMN</command>
+      with a non-null column default.
      </para>
     </listitem>
 
@@ -587,15 +587,18 @@
 -->
 
        <para>
-        Allow indexes on a partitioned table to be automatically created
-        in new child partitions (&Aacute;lvaro Herrera)
+        Support indexes on partitioned tables (&Aacute;lvaro Herrera)
+       </para>
+
+       <para>
+        This is not a global index, but rather a mechanism to create an indexes
+        on each partition of a partitioned table.  
        </para>
 
        <para>
         The new command <link linkend="sql-alterindex"><command>ALTER
-        INDEX ATTACH PARTITION</command></link> allows indexes to be
-        attached to partitions.  This does not behave as a global index
-        since the contents are private to each index.
+        INDEX ATTACH PARTITION</command></link> allows an index on a partition
+        to be inherited by the index on its partitioned table.
        </para>
       </listitem>
 
@@ -733,8 +736,8 @@
 -->
 
        <para>
-        Perform aggregation on each partition, and then merge the results
-        (Jeevan Chalke, Ashutosh Bapat, Robert Haas)
+        Allow aggregate functions on partitioned tables to be evaluated
+        directly on partitions.  (Jeevan Chalke, Ashutosh Bapat, Robert Haas)
        </para>
 
        <para>
@@ -1101,8 +1104,8 @@ same commits as above
 -->
 
        <para>
-        Improve optimizer's row count estimates for <literal>EXISTS</literal>
-        and <literal>NOT EXISTS</literal> queries (Tom Lane)
+        Improve row count estimates for <literal>EXISTS</literal> and
+        <literal>NOT EXISTS</literal> queries (Tom Lane)
        </para>
       </listitem>
 
@@ -1146,7 +1149,7 @@ same commits as above
 
        <para>
         This feature requires <application>LLVM</application> to be
-        available.  It is not currently enabled by default, even in
+        available.  It is disabled by default, even in
         builds that support it.
        </para>
       </listitem>
@@ -1564,11 +1567,11 @@ same commits as above
 
        <para>
         Allow server options related to memory and file sizes to be
-        specified as a number of bytes (Beena Emerson)
+        specified in units of bytes (Beena Emerson)
        </para>
 
        <para>
-        The new unit is <quote>B</quote>.  This is in addition to the
+        The new suffix is <quote>B</quote>.  This is in addition to the
         existing units <quote>kB</quote>, <quote>MB</quote>, <quote>GB</quote>
         and <quote>TB</quote>.
        </para>
@@ -1605,7 +1608,7 @@ same commits as above
 -->
 
        <para>
-        Retain <acronym>WAL</acronym> data for only a single checkpoint
+        Retain <acronym>WAL</acronym> data for a single checkpoint, only.
         (Simon Riggs)
        </para>
 
@@ -1801,6 +1804,7 @@ same commits as above
        </para>
 
        <para>
+DOES THIS NEED TO BE IN "COMPATIBILITY NOTES"?
         Also, if any table mentioned in <command>VACUUM</command> uses
         a column list, then the <command>ANALYZE</command> keyword must be
         supplied; previously, <command>ANALYZE</command> was implied in
@@ -2199,8 +2203,7 @@ same commits as above
 
        <para>
         Add <application>psql</application> command <literal>\gdesc</literal>
-        to display the column names and types of the query output (Pavel
-        Stehule)
+        to display the names and types of the columns in query results (Pavel Stehule)
        </para>
       </listitem>
 
